org.apache.hadoop.mapred

## Interface OutputCollector<K,V>

- All Known Implementing Classes:
    Task.CombineOutputCollector

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public interface OutputCollector<K,V>

  Collects the `<key, value>` pairs output by `Mapper`s and `Reducer`s.

  `OutputCollector` is the generalization of the facility provided by the Map-Reduce framework to collect data output by either the `Mapper` or the `Reducer` i.e. intermediate outputs or the output of the job.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collect(K key, V value)` Adds a key/value pair to the output.

- - ### Method Detail

    - #### collect

          void collect(K key,
                       V value)
                throws IOException

      Adds a key/value pair to the output.
      Parameters:
        `key` - the key to collect.
        `value` - to value to collect.
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.